<template>
  <ul class="kit payment">
    <li
      class="item"
      :class="value"/>
    <li class="item visa"/>
    <li class="item mastercard"/>
  </ul>
</template>

<script>
export default {
  name: 'Payment',
  props: {
    value: {
      type: String,
      default: 'paymaster',
    },
  },
};
</script>

<style scoped lang="scss">
  .kit.payment {
    margin: 0;
    padding: 0;
    height: 30px;
    display: flex;
    list-style: none;
    .item {
      height: 30px;
      display: inline-block;
      width: 78px;
      margin-right: 8px;
      @media screen and (min-width: 981px) {
        min-width: 78px;
      }
      &:last-child {
        margin-right: 0;
      }
      &.paymaster {
        background: url("~assets/images/payment/paymaster.png") no-repeat center center;
        width: 83px;
      }
      &.paykeeper {
        background: url("~assets/images/payment/paykeeper.png") no-repeat center center;
        width: 136px;
      }
      &.visa {
        background: url("~assets/images/payment/visa.png") no-repeat center center;
        width: 56px;
      }
      &.mastercard {
        background: url("~assets/images/payment/mastercard.png") no-repeat center center;
        width: 45px;
      }
    }
  }

</style>
